Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -6327,8 +11749,8 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'back_type'          LookHeadBackType         N
-  'name'               LookHeadName             N
-  'type'               LookHeadType             N
-  'version'            LookHeadVersion          N
+  'back_type'          LookHeadBackType         no
+  'name'               LookHeadName             no
+  'type'               LookHeadType             no
+  'version'            LookHeadVersion          no
 
 =head3 Leaf SaveSetup Tags
@@ -6339,32 +11761,33 @@
   Tag ID                  Tag Name              Writable
   ------                  --------              --------
-  'back_type'             SaveObjBackType       N
-  'leaf_auto_active'      LeafAutoActive        N
-  'leaf_auto_base_name'   LeafAutoBaseName      N
-  'leaf_hot_folder'       LeafHotFolder         N
-  'leaf_open_proc_HDR'    LeafOpenProcHDR       N
-  'leaf_output_file_type' LeafOutputFileType    N
-  'leaf_save_selection'   LeafSaveSelection     N
-  'name'                  SaveObjName           N
-  'std_auto_active'       StdAutoActive         N
-  'std_base_name'         StdBaseName           N
-  'std_hot_folder'        StdHotFolder          N
-  'std_open_in_photoshop' StdOpenInPhotoshop    N
-  'std_output_bit_depth'  StdOutputBitDepth     N
-  'std_output_color_mode' StdOutputColorMode    N
-  'std_output_file_type'  StdOutputFileType     N
-  'std_oxygen'            StdOxygen             N
-  'std_save_selection'    StdSaveSelection      N
-  'std_scaled_output'     StdScaledOutput       N
-  'std_sharpen_output'    StdSharpenOutput      N
-  'type'                  SaveObjType           N
-  'version'               SaveObjVersion        N
+  'back_type'             SaveObjBackType       no
+  'leaf_auto_active'      LeafAutoActive        no
+  'leaf_auto_base_name'   LeafAutoBaseName      no
+  'leaf_hot_folder'       LeafHotFolder         no
+  'leaf_open_proc_HDR'    LeafOpenProcHDR       no
+  'leaf_output_file_type' LeafOutputFileType    no
+  'leaf_save_selection'   LeafSaveSelection     no
+  'name'                  SaveObjName           no
+  'std_auto_active'       StdAutoActive         no
+  'std_base_name'         StdBaseName           no
+  'std_hot_folder'        StdHotFolder          no
+  'std_open_in_photoshop' StdOpenInPhotoshop    no
+  'std_output_bit_depth'  StdOutputBitDepth     no
+  'std_output_color_mode' StdOutputColorMode    no
+  'std_output_file_type'  StdOutputFileType     no
+  'std_oxygen'            StdOxygen             no
+  'std_save_selection'    StdSaveSelection      no
+  'std_scaled_output'     StdScaledOutput       no
+  'std_sharpen_output'    StdSharpenOutput      no
+  'type'                  SaveObjType           no
+  'version'               SaveObjVersion        no
 
 =head3 Leaf SubIFD Tags
 
 Leaf writes a TIFF-format sub-IFD inside IFD0 of a MOS image.  No tags in
-this sub-IFD are currently known, except for tag 0x8606 which really
-shouldn't be here anyway (so it doesn't appear in the table below) because
-it duplicates a reference to the same data of tag 0x8606 in IFD0.
+this sub-IFD are currently known, except for tags 0x8602 and 0x8606 which
+really shouldn't be here anyway (so they don't appear in the table below)
+because they duplicate references to the same data from tags with the same
+ID in IFD0.
 
   Tag ID   Tag Name                             Writable
@@ -6386,5 +11809,7 @@
   0x0003   MinoltaCameraSettings                Minolta CameraSettings
   0x0004   MinoltaCameraSettings7D              Minolta CameraSettings7D
-  0x0018   ImageStabilization                   N
+  0x0010   CameraInfoA100                       Minolta CameraInfoA100
+  0x0018   ISInfoA100                           Minolta ISInfoA100
+           ImageStabilization                   no
   0x0020   WBInfoA100                           Minolta WBInfoA100
   0x0040   CompressedImageSize                  int32u
@@ -6411,5 +11836,5 @@
   0x0115   WhiteBalance                         int32u
   0x0e00   PrintIM                              PrintIM
-  0x0f00   MinoltaCameraSettings2               N
+  0x0f00   MinoltaCameraSettings2               no
 
 =head3 Minolta CameraSettings Tags
@@ -6419,9 +11844,9 @@
 information may not be as reliable as it should be.  Because of this, tags
 in the following tables are set to lower priority to prevent them from
-superceding the values of same-named tags in other locations when duplicate
+superseding the values of same-named tags in other locations when duplicate
 tags are disabled.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       1    ExposureMode                         int32u
       2    FlashMode                            int32u
@@ -6477,6 +11902,6 @@
 =head3 Minolta CameraSettings7D Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    ExposureMode                         int16u
       2    MinoltaImageSize                     int16u
@@ -6506,28 +11931,111 @@
     117    ZoneMatchingOn                       int16u
 
+=head3 Minolta CameraInfoA100 Tags
+
+Camera information for the Sony DSLR-A100.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      1    AFSensorActive                       int8u
+      2    AFStatusActiveSensor                 int16s
+      4    AFStatusTop-right                    int16s
+      6    AFStatusBottom-right                 int16s
+      8    AFStatusBottom                       int16s
+     10    AFStatusMiddleHorizontal             int16s
+     12    AFStatusCenterVertical               int16s
+     14    AFStatusTop                          int16s
+     16    AFStatusTop-left                     int16s
+     18    AFStatusBottom-left                  int16s
+     20    FocusLocked                          int8u
+     21    AFPoint                              int8u
+     22    AFMode                               int8u
+     45    AFStatusLeft                         int16s
+     47    AFStatusCenterHorizontal             int16s
+     49    AFStatusRight                        int16s
+     51    AFAreaMode                           int8u
+
+=head3 Minolta ISInfoA100 Tags
+
+Image stabilization information for the Sony DSLR-A100.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ImageStabilization                   int16u
+
 =head3 Minolta WBInfoA100 Tags
 
 White balance information for the Sony DSLR-A100.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     14    DriveMode                            int8u
+     16    Rotation                             int8u
+     20    ImageStabilizationSetting            int8u
+     21    DynamicRangeOptimizerMode            int8u
+     42    ExposureCompensationMode             int8u
+     43    WBBracketShotNumber                  int8u
+     44    WhiteBalanceBracketing               int8u
+     45    ExposureBracketShotNumber            int8u
+     49    FlashFunction                        int16u
+     52    ExposureMode                         int16u
+     54    ColorMode                            int16u
+     56    AverageLV                            int16u
+     60    FrameNumber                          int8u
     150    WB_RGBLevels                         int16u[3]
     174    WB_GBRGLevels                        int16u[4]
-    772    WB_RBPresetFlash                     int16u[2]
-    776    WB_RBPresetCoolWhiteF                int16u[2]
-   1000    WB_RBPresetTungsten                  int16u[2]
-   1004    WB_RBPresetDaylight                  int16u[2]
-   1008    WB_RBPresetCloudy                    int16u[2]
-   1012    WB_RBPresetFlash                     int16u[2]
-   1020    WB_RedPresetsFluorescent             int16u[7]
-   1034    WB_BluePresetsFluorescent            int16u[7]
-   1048    WB_RBPresetShade                     int16u[2]
-   1060    WB_RBPresetCustom                    int16u[2]
+    192    WB_RedLevelsTungsten                 int16u[7]
+    206    WB_BlueLevelsTungsten                int16u[7]
+    220    WB_RedLevelsDaylight                 int16u[7]
+    234    WB_BlueLevelsDaylight                int16u[7]
+    248    WB_RedLevelsCloudy                   int16u[7]
+    262    WB_BlueLevelsCloudy                  int16u[7]
+    276    WB_RedLevelsFlash                    int16u[7]
+    290    WB_BlueLevelsFlash                   int16u[7]
+    332    WB_RedLevelsFluorescent              int16u[7]
+    346    WB_BlueLevelsFluorescent             int16u[7]
+    360    WB_RedLevelsShade                    int16u[7]
+    374    WB_BlueLevelsShade                   int16u[7]
+    392    WB_RedLevel6500K                     int16u
+    394    WB_BlueLevel6500K                    int16u
+    396    WB_RedLevelCustom                    int16u
+    398    WB_BlueLevelCustom                   int16u
+    408    WB_RedLevel3500K                     int16u
+    410    WB_BlueLevel3500K                    int16u
+    446    WB_RedLevelsKelvin                   int16u[75]
+    596    WB_BlueLevelsKelvin                  int16u[75]
+    772    WB_RBLevelsFlash                     int16u[2]
+    776    WB_RBLevelsCoolWhiteF                int16u[2]
+   1000    WB_RBLevelsTungsten                  int16u[2]
+   1004    WB_RBLevelsDaylight                  int16u[2]
+   1008    WB_RBLevelsCloudy                    int16u[2]
+   1012    WB_RBLevelsFlash                     int16u[2]
+   1020    WB_RedLevelsFluorescent              int16u[7]
+   1034    WB_BlueLevelsFluorescent             int16u[7]
+   1048    WB_RBLevelsShade                     int16u[2]
+   1056    WB_RBLevels6500K                     int16u[2]
+   1060    WB_RBLevelsCustom                    int16u[2]
+   1072    WB_RBLevels3500K                     int16u[2]
+   1320    WB_RBLevelsDaylight                  int16u[2]
+   1350    WB_RGBLevels                         int16u[3]
+   1576    AEMeteringSegments                   int8u[40]
+   1680    MeasuredLV                           int8u
+   1681    BrightnessValue                      int8u
+   4172    TiffMeteringImage                    no
+  18872    ExposureTime                         int8u
+  18874    ISO                                  int8u
+  18875    FocusDistance                        int8u
+  18877    LensType                             int16uRev
+  18880    ExposureCompensation                 int8s
+  18881    FlashExposureComp                    int8s
+  18882    ImageStabilization                   int8u
+  18883    BrightnessValue                      int8u
+  18885    MaxAperture                          int8u
+  18887    FNumber                              int8u
   18908    InternalSerialNumber                 string[12]
 
 =head3 Minolta CameraSettings5D Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
      10    ExposureMode                         int16u
      12    MinoltaImageSize                     int16u
@@ -6561,11 +12069,11 @@
 Camera settings information for the Sony DSLR-A100.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    ExposureMode                         int16u
       1    ExposureCompensationSetting          int16u
       5    HighSpeedSync                        int16u
-      6    ManualExposureTime                   int16u
-      7    ManualFNumber                        int16u
+      6    ShutterSpeedSetting                  int16u
+      7    ApertureSetting                      int16u
       8    ExposureTime                         int16u
       9    FNumber                              int16u
@@ -6573,8 +12081,8 @@
      11    WhiteBalance                         int16u
      12    FocusMode                            int16u
-     13    LocalAFAreaPoint                     int16u
+     13    AFPointSelected                      int16u
      14    AFAreaMode                           int16u
      15    FlashMode                            int16u
-     16    FlashExposureCompSetting             int16u
+     16    FlashExposureCompSet                 int16u
      18    MeteringMode                         int16u
      19    ISOSetting                           int16u
@@ -6640,5 +12148,5 @@
      94    ColorTemperature                     int16u
      95    ColorCompensationFilter              int16s
-     96    BatteryLevel                         int16u
+     96    BatteryState                         int16u
 
 =head3 Minolta MMA Tags
@@ -6647,8 +12155,8 @@
 DiMAGE A2, S414 and 7Hi.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    Make                                 N
-     20    SoftwareVersion                      N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Make                                 no
+     20    SoftwareVersion                      no
 
 =head3 Minolta MOV1 Tags
@@ -6657,12 +12165,12 @@
 as the DiMage Z10 and X50.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    Make                                 N
-     32    ModelType                            N
-     46    ExposureTime                         N
-     50    FNumber                              N
-     58    ExposureCompensation                 N
-     80    FocalLength                          N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Make                                 no
+     32    ModelType                            no
+     46    ExposureTime                         no
+     50    FNumber                              no
+     58    ExposureCompensation                 no
+     80    FocalLength                          no
 
 =head3 Minolta MOV2 Tags
@@ -6671,12 +12179,21 @@
 DiMAGE X and Xt.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    Make                                 N
-     24    ModelType                            N
-     38    ExposureTime                         N
-     42    FNumber                              N
-     50    ExposureCompensation                 N
-     72    FocalLength                          N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Make                                 no
+     24    ModelType                            no
+     38    ExposureTime                         no
+     42    FNumber                              no
+     50    ExposureCompensation                 no
+     72    FocalLength                          no
+
+=head2 Motorola Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x5500   BuildNumber                          string
+  0x5501   SerialNumber                         string
+  0x665e   Sensor                               string
+  0x6705   ManufactureDate                      string
 
 =head2 Nikon Tags
@@ -6698,10 +12215,11 @@
   0x000e   ExposureDifference                   undef[4]
   0x000f   ISOSelection                         string
-  0x0010   DataDump                             N
+  0x0010   DataDump                             no
   0x0011   PreviewIFD                           Nikon PreviewIFD
   0x0012   FlashExposureComp                    undef[4]
   0x0013   ISOSetting                           int16u[2]
   0x0014   ColorBalanceA                        Nikon ColorBalanceA
-           NRWData?                             Y
+           NRWData                              Nikon ColorBalanceB
+                                                Nikon ColorBalanceC
   0x0016   ImageBoundary                        int16u[4]
   0x0017   ExternalFlashExposureComp            undef[4]
@@ -6709,5 +12227,5 @@
   0x0019   ExposureBracketValue                 rational64s
   0x001a   ImageProcessing                      string
-  0x001b   CropHiSpeed                          int16u[7]~
+  0x001b   CropHiSpeed                          int16u[7]
   0x001c   ExposureTuning                       undef[3]
   0x001d   SerialNumber                         string!
@@ -6718,4 +12236,7 @@
   0x0022   ActiveD-Lighting                     int16u
   0x0023   PictureControlData                   Nikon PictureControl
+                                                Nikon PictureControl2
+                                                Nikon PictureControl3
+                                                Nikon PictureControlUnknown
   0x0024   WorldTime                            Nikon WorldTime
   0x0025   ISOInfo                              Nikon ISOInfo
@@ -6724,4 +12245,13 @@
   0x002c   UnknownInfo                          Nikon UnknownInfo
   0x0032   UnknownInfo2                         Nikon UnknownInfo2
+  0x0034   ShutterMode                          int16u
+  0x0035   HDRInfo                              Nikon HDRInfo
+  0x0037   MechanicalShutterCount               int32u
+  0x0039   LocationInfo                         Nikon LocationInfo
+  0x003d   BlackLevel                           int16u[4]
+  0x003e   ImageSizeRAW                         yes
+  0x0045   CropArea                             int16u[4]
+  0x004e   NikonSettings                        NikonSettings
+  0x004f   ColorTemperatureAuto                 int16u
   0x0080   ImageAdjustment                      string
   0x0081   ToneComp                             string
@@ -6736,5 +12266,5 @@
   0x0089   ShootingMode                         int16u~
   0x008b   LensFStops                           undef[4]
-  0x008c   ContrastCurve                        N
+  0x008c   ContrastCurve                        undef!
   0x008d   ColorHue                             string
   0x008f   SceneMode                            string
@@ -6751,13 +12281,25 @@
            ShotInfoD300S                        Nikon ShotInfoD300S
            ShotInfoD700                         Nikon ShotInfoD700
+           ShotInfoD800                         Nikon ShotInfoD800
+           ShotInfoD810                         Nikon ShotInfoD810
+           ShotInfoD850                         Nikon ShotInfoD850
            ShotInfoD5000                        Nikon ShotInfoD5000
+           ShotInfoD5100                        Nikon ShotInfoD5100
+           ShotInfoD5200                        Nikon ShotInfoD5200
            ShotInfoD7000                        Nikon ShotInfoD7000
+           ShotInfoD4                           Nikon ShotInfoD4
+           ShotInfoD4S                          Nikon ShotInfoD4S
+           ShotInfoD5                           Nikon ShotInfoD500
+           ShotInfoD500                         Nikon ShotInfoD500
+           ShotInfoD6                           Nikon ShotInfoD6
+           ShotInfoD610                         Nikon ShotInfoD610
+           ShotInfoZ7_2                         Nikon ShotInfoZ7_2
            ShotInfo02xx                         Nikon ShotInfo
            ShotInfoUnknown                      Nikon ShotInfo
   0x0092   HueAdjustment                        int16s
   0x0093   NEFCompression                       int16u
-  0x0094   Saturation                           int16s
+  0x0094   SaturationAdj                        int16s
   0x0095   NoiseReduction                       string
-  0x0096   LinearizationTable                   N
+  0x0096   NEFLinearizationTable                undef!
   0x0097   ColorBalance0100                     Nikon ColorBalance1
            ColorBalance0102                     Nikon ColorBalance2
@@ -6766,13 +12308,23 @@
            ColorBalance0209                     Nikon ColorBalance4
            ColorBalance02                       Nikon ColorBalance2
-           ColorBalanceUnknown                  N
+           ColorBalance0211                     Nikon ColorBalance4
+           ColorBalance0213                     Nikon ColorBalance2
+           ColorBalance0215                     Nikon ColorBalance4
+           ColorBalanceUnknown02                Nikon ColorBalanceUnknown
+           ColorBalanceUnknown04                Nikon ColorBalanceUnknown
+           ColorBalanceUnknown                  Nikon ColorBalanceUnknown
   0x0098   LensData0100                         Nikon LensData00
            LensData0101                         Nikon LensData01
            LensData0201                         Nikon LensData01
            LensData0204                         Nikon LensData0204
+           LensData0400                         Nikon LensData0400
+           LensData0402                         Nikon LensData0402
+           LensData0403                         Nikon LensData0403
+           LensData0800                         Nikon LensData0800
            LensDataUnknown                      Nikon LensDataUnknown
   0x0099   RawImageCenter                       int16u[2]
   0x009a   SensorPixelSize                      rational64u[2]
   0x009c   SceneAssist                          string
+  0x009d   DateStampMode                        int16u
   0x009e   RetouchHistory                       int16u[10]
   0x00a0   SerialNumber                         string
@@ -6784,5 +12336,7 @@
            FlashInfo0102                        Nikon FlashInfo0102
            FlashInfo0103                        Nikon FlashInfo0103
-           FlashInfo0104                        Nikon FlashInfo0103
+           FlashInfo0106                        Nikon FlashInfo0106
+           FlashInfo0107                        Nikon FlashInfo0107
+           FlashInfo0300                        Nikon FlashInfo0300
            FlashInfoUnknown                     Nikon FlashInfoUnknown
   0x00a9   ImageOptimization                    string
@@ -6792,4 +12346,5 @@
   0x00ad   AFResponse                           string
   0x00b0   MultiExposure                        Nikon MultiExposure
+                                                Nikon MultiExposure
   0x00b1   HighISONoiseReduction                int16u
   0x00b3   ToningEffect                         string
@@ -6797,13 +12352,16 @@
   0x00b7   AFInfo2                              Nikon AFInfo2
   0x00b8   FileInfo                             Nikon FileInfo
+                                                Nikon FileInfo
   0x00b9   AFTune                               Nikon AFTune
+  0x00bb   RetouchInfo                          Nikon RetouchInfo
   0x00bd   PictureControlData                   Nikon PictureControl
+  0x00c3   BarometerInfo                        Nikon BarometerInfo
   0x0e00   PrintIM                              PrintIM
   0x0e01   NikonCaptureData                     NikonCapture
-  0x0e09   NikonCaptureVersion                  string
+  0x0e09   NikonCaptureVersion                  string^
   0x0e0e   NikonCaptureOffsets                  Nikon CaptureOffsets
   0x0e10   NikonScanIFD                         Nikon Scan
   0x0e13   NikonCaptureEditVersions             NikonCapture
-           NikonCaptureEditVersions             undef
+           NikonCaptureEditVersions             undef!^
   0x0e1d   NikonICCProfile                      ICC_Profile
   0x0e1e   NikonCaptureOutput                   Nikon CaptureOutput
@@ -6814,31 +12372,74 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x00fe   SubfileType                          N
-  0x0103   Compression                          N
-  0x011a   XResolution                          N
-  0x011b   YResolution                          N
-  0x0128   ResolutionUnit                       N
+  0x00fe   SubfileType                          no
+  0x0103   Compression                          no
+  0x011a   XResolution                          no
+  0x011b   YResolution                          no
+  0x0128   ResolutionUnit                       no
   0x0201   PreviewImageStart                    int32u*
   0x0202   PreviewImageLength                   int32u*
-  0x0213   YCbCrPositioning                     N
+  0x0213   YCbCrPositioning                     no
 
 =head3 Nikon ColorBalanceA Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-    624    RedBalance                           int16u!
-    625    BlueBalance                          int16u!
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+    624    WB_RBLevels                          int16u[2]!
+    626    WB_RBLevelsAuto                      int16u[2]!
+    628    WB_RBLevelsDaylight                  int16u[14]!
+    642    WB_RBLevelsIncandescent              int16u[14]!
+    656    WB_RBLevelsFluorescent               int16u[6]!
+    662    WB_RBLevelsCloudy                    int16u[14]!
+    676    WB_RBLevelsFlash                     int16u[14]!
+    690    WB_RBLevelsShade                     int16u[14]!
+
+=head3 Nikon ColorBalanceB Tags
+
+Color balance tags used by the P6000.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    ColorBalanceVersion                  undef[4]
+   5096    WB_RGGBLevels                        int32u[4]!
+   5112    WB_RGGBLevelsDaylight                int32u[4]!
+   5128    WB_RGGBLevelsCloudy                  int32u[4]!
+   5160    WB_RGGBLevelsTungsten                int32u[4]!
+   5176    WB_RGGBLevelsFluorescentW            int32u[4]!
+   5192    WB_RGGBLevelsFlash                   int32u[4]!
+   5224    WB_RGGBLevelsCustom                  int32u[4]!
+   5240    WB_RGGBLevelsAuto                    int32u[4]!
+
+=head3 Nikon ColorBalanceC Tags
+
+Color balance tags used by the P1000, P7000, P7100 and B700.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    ColorBalanceVersion                  undef[4]
+     32    BlackLevel                           int16u
+     56    WB_RGGBLevels                        int32u[4]!
+     76    WB_RGGBLevelsDaylight                int32u[4]!
+     96    WB_RGGBLevelsCloudy                  int32u[4]!
+    116    WB_RGGBLevelsShade                   int32u[4]!
+    136    WB_RGGBLevelsTungsten                int32u[4]!
+    156    WB_RGGBLevelsFluorescentW            int32u[4]!
+    176    WB_RGGBLevelsFluorescentN            int32u[4]!
+    196    WB_RGGBLevelsFluorescentD            int32u[4]!
+    216    WB_RGGBLevelsHTMercury               int32u[4]!
+    256    WB_RGGBLevelsCustom                  int32u[4]!
+    276    WB_RGGBLevelsAuto                    int32u[4]!
 
 =head3 Nikon VRInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    VRInfoVersion                        N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    VRInfoVersion                        no
       4    VibrationReduction                   int8u
+      6    VRMode                               int8u
 
 =head3 Nikon FaceDetect Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       1    FaceDetectFrameSize                  int16u[2]
       3    FacesDetected                        int16u
@@ -6858,7 +12459,7 @@
 =head3 Nikon PictureControl Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    PictureControlVersion                N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    PictureControlVersion                no
       4    PictureControlName                   string[20]
      24    PictureControlBase                   string[20]
